# distance_func< etl::angle > Struct Template Reference

`#include <_angle.h>`

List of all members.

## Public Member Functions

etl::angle | operator() (const etl::angle &a, const etl::angle &b) const
etl::angle | cook (const etl::angle &x) const
etl::angle | uncook (const etl::angle &x) const

## Detailed Description

### template<>
struct distance_func< etl::angle >

Definition at line 500 of file _angle.h.

## Member Function Documentation

etl::angle distance_func< etl::angle >::operator() | ( | const etl::angle & | a,
|  | const etl::angle & | b |
| ) |  |  | const`[inline]`

Definition at line 502 of file _angle.h.

etl::angle distance_func< etl::angle >::cook | ( | const etl::angle & | x | ) | const`[inline]`

Definition at line 510 of file _angle.h.

etl::angle distance_func< etl::angle >::uncook | ( | const etl::angle & | x | ) | const`[inline]`

Definition at line 511 of file _angle.h.

The documentation for this struct was generated from the following file:

- _angle.h